searchData={"items":[{"type":"module","title":"UlidFlake","doc":"Ulid-Flake is a compact 64-bit ULID variant inspired by ULID and Twitter's Snowflake.","ref":"UlidFlake.html"},{"type":"function","title":"UlidFlake.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"UlidFlake.html#child_spec/1"},{"type":"function","title":"UlidFlake.from_int/1","doc":"Creates a Ulid-Flake instance from an integer.","ref":"UlidFlake.html#from_int/1"},{"type":"function","title":"UlidFlake.from_str/1","doc":"Creates a Ulid-Flake instance from a Base32 string.","ref":"UlidFlake.html#from_str/1"},{"type":"function","title":"UlidFlake.from_unix_epoch_time/1","doc":"Creates a Ulid-Flake instance from a Unix epoch time in seconds.","ref":"UlidFlake.html#from_unix_epoch_time/1"},{"type":"function","title":"UlidFlake.generate/0","doc":"Generates a new Ulid-Flake identifier.","ref":"UlidFlake.html#generate/0"},{"type":"function","title":"UlidFlake.parse/1","doc":"Parses a Base32-encoded Ulid-Flake identifier.","ref":"UlidFlake.html#parse/1"},{"type":"function","title":"UlidFlake.randomness/1","doc":"Returns the randomness component of the Ulid-Flake identifier.","ref":"UlidFlake.html#randomness/1"},{"type":"function","title":"UlidFlake.start_link/1","doc":"","ref":"UlidFlake.html#start_link/1"},{"type":"function","title":"UlidFlake.timestamp/1","doc":"Returns the timestamp component of the Ulid-Flake identifier.","ref":"UlidFlake.html#timestamp/1"},{"type":"function","title":"UlidFlake.to_base32/1","doc":"Returns the Base32 string representation of the Ulid-Flake identifier.","ref":"UlidFlake.html#to_base32/1"},{"type":"function","title":"UlidFlake.to_bin/1","doc":"Returns the binary string representation of the Ulid-Flake identifier.","ref":"UlidFlake.html#to_bin/1"},{"type":"function","title":"UlidFlake.to_hex/1","doc":"Returns the hexadecimal string representation of the Ulid-Flake identifier.","ref":"UlidFlake.html#to_hex/1"},{"type":"function","title":"UlidFlake.to_integer/1","doc":"Returns the integer representation of the Ulid-Flake identifier.","ref":"UlidFlake.html#to_integer/1"},{"type":"function","title":"UlidFlake.to_string/1","doc":"Returns the Base32 string representation of the Ulid-Flake identifier.\nalias for `to_base32/1`","ref":"UlidFlake.html#to_string/1"},{"type":"module","title":"UlidFlake.Config","doc":"","ref":"UlidFlake.Config.html"},{"type":"function","title":"UlidFlake.Config.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"UlidFlake.Config.html#child_spec/1"},{"type":"function","title":"UlidFlake.Config.get_config/0","doc":"","ref":"UlidFlake.Config.html#get_config/0"},{"type":"function","title":"UlidFlake.Config.set_entropy_size/1","doc":"","ref":"UlidFlake.Config.html#set_entropy_size/1"},{"type":"function","title":"UlidFlake.Config.set_epoch_time/1","doc":"","ref":"UlidFlake.Config.html#set_epoch_time/1"},{"type":"function","title":"UlidFlake.Config.start_link/1","doc":"","ref":"UlidFlake.Config.html#start_link/1"},{"type":"module","title":"UlidFlake.Scalable","doc":"Ulid-Flake is a compact 64-bit ULID variant inspired by ULID and Twitter's Snowflake,\nwith an additional scalability identifier.","ref":"UlidFlake.Scalable.html"},{"type":"function","title":"UlidFlake.Scalable.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"UlidFlake.Scalable.html#child_spec/1"},{"type":"function","title":"UlidFlake.Scalable.from_int/1","doc":"Creates a Ulid-Flake instance with scalability from an integer.","ref":"UlidFlake.Scalable.html#from_int/1"},{"type":"function","title":"UlidFlake.Scalable.from_str/1","doc":"Creates a Ulid-Flake instance from a Base32 string.","ref":"UlidFlake.Scalable.html#from_str/1"},{"type":"function","title":"UlidFlake.Scalable.from_unix_epoch_time/1","doc":"","ref":"UlidFlake.Scalable.html#from_unix_epoch_time/1"},{"type":"function","title":"UlidFlake.Scalable.generate/0","doc":"Generates a new Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#generate/0"},{"type":"function","title":"UlidFlake.Scalable.parse/1","doc":"Parses a Base32-encoded Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#parse/1"},{"type":"function","title":"UlidFlake.Scalable.randomness/1","doc":"Returns the randomness component of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#randomness/1"},{"type":"function","title":"UlidFlake.Scalable.scalability_id/1","doc":"Returns the scalability ID component of the Ulid-Flake identifier.","ref":"UlidFlake.Scalable.html#scalability_id/1"},{"type":"function","title":"UlidFlake.Scalable.start_link/1","doc":"","ref":"UlidFlake.Scalable.html#start_link/1"},{"type":"function","title":"UlidFlake.Scalable.timestamp/1","doc":"Returns the timestamp component of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#timestamp/1"},{"type":"function","title":"UlidFlake.Scalable.to_base32/1","doc":"Returns the Base32 string representation of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#to_base32/1"},{"type":"function","title":"UlidFlake.Scalable.to_bin/1","doc":"Returns the binary string representation of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#to_bin/1"},{"type":"function","title":"UlidFlake.Scalable.to_hex/1","doc":"Returns the hexadecimal string representation of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#to_hex/1"},{"type":"function","title":"UlidFlake.Scalable.to_integer/1","doc":"Returns the integer representation of the Ulid-Flake identifier with scalability.","ref":"UlidFlake.Scalable.html#to_integer/1"},{"type":"function","title":"UlidFlake.Scalable.to_string/1","doc":"Returns the Base32 string representation of the Ulid-Flake identifier with scalability.\nAlias for `to_base32/1`","ref":"UlidFlake.Scalable.html#to_string/1"},{"type":"module","title":"UlidFlake.Scalable.Config","doc":"","ref":"UlidFlake.Scalable.Config.html"},{"type":"function","title":"UlidFlake.Scalable.Config.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"UlidFlake.Scalable.Config.html#child_spec/1"},{"type":"function","title":"UlidFlake.Scalable.Config.get_config/0","doc":"","ref":"UlidFlake.Scalable.Config.html#get_config/0"},{"type":"function","title":"UlidFlake.Scalable.Config.set_entropy_size/1","doc":"","ref":"UlidFlake.Scalable.Config.html#set_entropy_size/1"},{"type":"function","title":"UlidFlake.Scalable.Config.set_epoch_time/1","doc":"","ref":"UlidFlake.Scalable.Config.html#set_epoch_time/1"},{"type":"function","title":"UlidFlake.Scalable.Config.set_scalability_id/1","doc":"","ref":"UlidFlake.Scalable.Config.html#set_scalability_id/1"},{"type":"function","title":"UlidFlake.Scalable.Config.start_link/1","doc":"","ref":"UlidFlake.Scalable.Config.html#start_link/1"},{"type":"module","title":"UlidFlake.Utils","doc":"","ref":"UlidFlake.Utils.html"},{"type":"function","title":"UlidFlake.Utils.decode/1","doc":"","ref":"UlidFlake.Utils.html#decode/1"},{"type":"function","title":"UlidFlake.Utils.encode/1","doc":"","ref":"UlidFlake.Utils.html#encode/1"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}